Name: erfa
Version: 1.0.1
Release: 1%{?dist}
Summary: Essential Routines for Fundamental Astronomy

License: BSD
URL: https://github.com/liberfa/erfa
Source0: https://github.com/liberfa/erfa/releases/download/v%{version}/%{name}-%{version}.tar.gz

%description
ERFA is a C library containing key algorithms for astronomy, and is 
based on the SOFA library published by the International Astronomical 
Union (IAU).

%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q 

%build
%configure --disable-static
make %{?_smp_mflags} 

%install
make install DESTDIR=%{buildroot}

%check
make check

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc LICENSE README.rst INFO
%{_libdir}/liberfa.so.*

%files devel
%{_libdir}/liberfa.so
%{_includedir}/erfa*.h
%{_libdir}/pkgconfig/erfa.pc
%exclude %{_libdir}/*.la

%changelog
* Wed Nov 13 2013 Sergio Pascual <sergiopr at fedoraproject.org> - 1.0.1-1
- New usptream version (1.0.1)

* Sat Oct 26 2013 Sergio Pascual <sergiopr at fedoraproject.org> - 1.0.0-1
- New usptream version (1.0.0)

* Mon Sep 09 2013 Sergio Pascual <sergiopr at fedoraproject.org> - 0.0.1-3
- Updated -devel summary
- Removed explicit dependency on pkgconfig

* Mon Sep 09 2013 Sergio Pascual <sergiopr at fedoraproject.org> - 0.0.1-2
- Updated -devel description

* Sun Sep 08 2013 Sergio Pascual <sergiopr at fedoraproject.org> - 0.0.1-1
- Initial spec

